# User Assets

## Query user SolvBTC/SolvBTC.LSTs asset list

URL:  <https://sft-api.com/graphql>

Method: POST

### Header

| Name          | Type   | Mandatory | Description |
| ------------- | ------ | --------- | ----------- |
| Authorization | string | Yes       | use “test”  |

### GraphQL Query

```graphql
query WrappedAssets($filter: WrappedAssetFilter, $pagination:Pagination, $sort:Sort)
{
  wrappedAssets(filter:$filter,pagination:$pagination,sort:$sort) {
    totalCount
    wrappedAssets {
      chainId
      tokenAddress
      holder
      symbol
      balance
      mintTime
      lastUpdated
      decimals
      name
      usdValue
    }
  }
}
```

#### Variables

| No. | Name       | Mandatory | Type   |                                  |
| --- | ---------- | --------- | ------ | -------------------------------- |
| 1   | filter     | Yes       | object |                                  |
| 1.1 | holder     | Yes       | string | user address                     |
| 2   | pagination | no        | object |                                  |
| 2.1 | limit      | no        | number | <p><br></p>                      |
| 2.2 | offset     | no        | number | default to 0                     |
| 3   | sort       | no        | object |                                  |
| 3.1 | field      | no        | string | Field that you want to order by. |
| 3.2 | direction  | no        | string | ASC/DESC                         |

#### Examples

```graphql
{
 "filter":{ "holder":"0x1c565082bc869cbdcd0644eba6e556b448342f93"
 },
 "pagination":{
   "limit":10,
   "offset":0
 },
 "sort":{
   "field":"lastUpdated",
   "direction":"DESC"
 }
}
```

#### Response Examples

```graphql
{
  "data": {
    "wrappedAssets": {
      "totalCount": 2,
      "wrappedAssets": [
        {
          "chainId": 56,
          "tokenAddress": "0x1346b618dc92810ec74163e4c27004c921d446a5",
          "holder": "0x1c565082bc869cbdcd0644eba6e556b448342f93",
          "symbol": "xSolvBTC",
          "balance": "70000000000000",
          "mintTime": 1726043603,
          "lastUpdated": 1728443816,
          "decimals": 18,
          "name": "SolvBTC Babylon",
          "usdValue": "4.3464633526591557"
        },
        {
          "chainId": 1,
          "tokenAddress": "0x7a56e1c57c7475ccf742a1832b028f0456652f97",
          "holder": "0x1c565082bc869cbdcd0644eba6e556b448342f93",
          "symbol": "SolvBTC",
          "balance": "30000000000000",
          "mintTime": 1724934971,
          "lastUpdated": 1728308015,
          "decimals": 18,
          "name": "Solv BTC",
          "usdValue": "1.8611302367842758"
        }
      ]
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solv.finance/developer-guide/data-services/user-assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
